org.apache.fop.render.awt.viewer

## Class Command

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.apache.fop.render.awt.viewer.Command

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class Command
    extends AbstractAction

This class represents UI-commands, which can be used as menu or toolbar items
. When the `Command` object receives action event, that object's `doit` method is invoked. `doit` method by default does nothing and the class customer have to override it to implement any action handling logic. Originally contributed by: Juergen Verwohlt: Juergen.Verwohlt@jcatalog.com, Rainer Steinkuhle: Rainer.Steinkuhle@jcatalog.com, Stanislav Gorkhover: Stanislav.Gorkhover@jcatalog.com

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`Command(String name, int mnemonic)` Creates `Command` object with a given name and sets the name as a tooltip text.
`Command(String name, String iconName)` Creates `Command` object with a given name, the same tooltip text and icon image if appropriate image file is found.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)`
`void` `doit()` Action handler, have to be overrided by subclasses.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Command

    public Command(String name,
                   int mnemonic)

Creates `Command` object with a given name and sets the name as a tooltip text. No associated icon image.

Parameters:
  `name` - of the command
  `mnemonic` - A Key

#### Command

    public Command(String name,
                   String iconName)

Creates `Command` object with a given name, the same tooltip text and icon image if appropriate image file is found.

Parameters:
  `name` - name of the command
  `iconName` - name of the icon

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

#### doit

    public void doit()

Action handler, have to be overrided by subclasses.